Уязвимость BDU:2021-01328

Дата: 28.05.2020. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2021-01328.

Наименование уязвимости: Уязвимость реализации GTlsClientConnection библиотеки glib-networking, позволяющая нарушителю получить доступ к конфиденциальным данным и нарушить их целостность.

Описание уязвимости: Уязвимость реализации GTlsClientConnection библиотеки glib-networking свяазана с ошибками процедуры подтверждения подлинности сертификата. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить доступ к конфиденциальным данным и нарушить их целостность
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Debian GNU/Linux 10.0 | Операционная система Fedora Project Fedora 31 | Операционная система Canonical Ltd. Ubuntu 19.10 | Операционная система Fedora Project Fedora 32 | Операционная система Canonical Ltd. Ubuntu 20.04 LTS | Операционная система АО «НПО РусБИТех» Astra Linux 2.12 «Орел» | Прикладное ПО информационных систем glib-networking до 2.5.11 | Прикладное ПО информационных систем glib-networking до 2.64.2 включительно |

Наименование ОС и тип аппаратной платформы: Ubuntu 1604 LTS 32-bit | Ubuntu 1804 LTS | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Debian GNU/Linux 100 | Fedora 31 | Ubuntu 1910 | Fedora 32 | Ubuntu 2004 LTS | Astra Linux 212 «Орел» |
Дата выявления: 28.05.2020.
CVSS 2.0: AV:N/AC:L/Au:N/C:P/I:P/A:N
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,4)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,5)

Возможные меры по устранению:
Использование рекомендаций:
Для glib-networking:
Обновление программного обеспечения до 2.64.3-2 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета glib-networking) до 2.58.0-2+deb10u1 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета glib-networking) до 2.58.0-2+deb10u1 или более поздней версии

Для Fedora:
https://lists.fedoraproject.org/archives/list/[email protected]/message/HLEX2IP62SU6WJ4SK3U766XGLQK3J62O/
https://lists.fedoraproject.org/archives/list/[email protected]/message/LRCUM22YEWWKNMN2BP5LTVDM5P4VWIXS/
https://lists.fedoraproject.org/archives/list/[email protected]/message/TQEQJQ4XFMFCFJTEXKL2ZO3UELBPCKSK/

Для Ubuntu:
https://ubuntu.com/security/notices/USN-4405-1
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2020-13645.

Тип ошибки CWE: CWE-295
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://gitlab.gnome.org/GNOME/balsa/-/issues/34
https://gitlab.gnome.org/GNOME/glib-networking/-/issues/135
https://lists.fedoraproject.org/archives/list/[email protected]/message/HLEX2IP62SU6WJ4SK3U766XGLQK3J62O/
https://lists.fedoraproject.org/archives/list/[email protected]/message/LRCUM22YEWWKNMN2BP5LTVDM5P4VWIXS/
https://lists.fedoraproject.org/archives/list/[email protected]/message/TQEQJQ4XFMFCFJTEXKL2ZO3UELBPCKSK/
https://nvd.nist.gov/vuln/detail/CVE-2020-13645
https://security-tracker.debian.org/tracker/CVE-2020-13645
https://ubuntu.com/security/notices/USN-4405-1

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *